Click or drag to resize

OperatingSystemInfoIsAtLeast Method (OSVersionName, Int32)

Determines whether operating system is of the specified version or later, allowing specification of a minimum service pack that must be installed on the lowest version.

Namespace:  Alphaleonis.Win32.Vss
Assembly:  AlphaVSS.Common (in AlphaVSS.Common.dll) Version: 1.4.0.0 (1.4.0.0)
Syntax
public static bool IsAtLeast(
	OSVersionName version,
	int servicePackVersion
)

Parameters

version
Type: Alphaleonis.Win32.VssOSVersionName
The minimum required version.
servicePackVersion
Type: SystemInt32
The major version of the service pack that must be installed on the minimum required version to return true. This can be 0 to indicate that no service pack is required.

Return Value

Type: Boolean
true if the operating system matches the specified version with the specified service pack, or if the operating system is of a later version; otherwise, false.
See Also